Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595107 - Make package for EL6
Summary: Make package for EL6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: scons
Version: el6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-23 11:52 UTC by Uwe Kubosch
Modified: 2010-09-14 16:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-14 16:01:32 UTC


Attachments (Terms of Use)

Description Uwe Kubosch 2010-05-23 11:52:44 UTC
Description of problem:
Package for EL6 not built and available.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jochen Schmitt 2010-05-23 13:28:29 UTC
scon-1.3.0-1 should be available for EPEL-6

Comment 2 Uwe Kubosch 2010-05-23 18:06:33 UTC
Thank you for your quick reply, and thank you for maintaining the scons package for Fedora.

I am the maintainer of the zfs-fuse package for Fedora, and I get an error that scons is not available when trying to build for EPEL-6:

http://koji.fedoraproject.org/koji/buildinfo?buildID=174701

http://koji.fedoraproject.org/koji/getfile?taskID=2203939&name=root.log&offset=-2000

Also the scons package is not listed at

http://download.fedora.redhat.com/pub/epel/beta/6/i386/

or

http://download.fedora.redhat.com/pub/epel/beta/6/x86_64/

Could you please explain how scons is available for EPEL-6 ?

I assume "scon" was a just missing the "s" in your comment, and the package has not change its name.

Comment 3 Jochen Schmitt 2010-05-23 19:22:37 UTC
Here the build for scons for EL-6

http://koji.fedoraproject.org/koji/buildinfo?buildID=174706

I suggest, that you should wait one or two days before you should try
your build again.

Comment 4 Uwe Kubosch 2010-05-23 23:06:52 UTC
Thanks!

I am new at this, but don't you have to push an update to testing and then to stable for it to be available in the build environment?

I can see the build, but not the update.

Comment 5 Chen Lei 2010-09-10 18:01:04 UTC
Update scons to version 2.0.1? Debian squeeze already updated scons to 2.x several months ago, I think it's stable enough to match the quality of RHEL6.

Comment 6 Mark Chappell 2010-09-14 16:01:32 UTC
SCONS has been built for El-6 and should be available from the repos now.  

http://koji.fedoraproject.org/koji/buildinfo?buildID=174706

Chen, I suggest you raise a seperate bug if you want the version bumped up to 2.x

Uwe, until RHEL6 GA EPEL is operating vaguely like rawhide, packages get built there's a couple of hours delay before they turn up in the build repos and then daily they're pushed out to the mirrors.


Note You need to log in before you can comment on or make changes to this bug.